=== debian/changelog ===
ats2-lang (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Source only upload (Closes: #952475)

 -- Matthew Danish <mrd@debian.org>  Tue, 10 Mar 2020 00:02:41 +0000
