=== debian/watch ===
version=4
http://sf.net/ats2-lang/ATS2-Postiats-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
